Skip to main content
POST
Create a schedule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Replays an identical mutation and rejects reuse with different request fields.

Path Parameters

agentId
string
required

Body

application/json
message
string
required
name
string
required
Maximum string length: 120
target
object
required
timing
object
required
enabled
boolean

Response

Created schedule.

agentId
string
required
createdAt
string<date-time>
required
createdBy
object
required
enabled
boolean
required
id
string
required
message
string
required
name
string
required
Maximum string length: 120
target
object
required
timing
object
required
updatedAt
string<date-time>
required
workspaceId
string
required
completedAt
string<date-time>
disabledReason
enum<string>
Available options:
agent_not_found,
thread_not_found,
invalid_config
lastNominalAt
string<date-time>
lastStatus
enum<string>
Available options:
fired,
skipped,
failed
lastThreadId
string
lastTurnId
string
nextAt
string<date-time>